package com.bocloud.cmp.model.installation;

import com.alibaba.fastjson.JSONObject;

/**
 * Ipmi信息
 *
 * @author 007
 */
public class IpmiInfo {
    /**
     * 节点id,rackHd不需要，为了复用
     */
    private Long nodeId;
    /**
     * ipmi的ip
     */
    private String host;
    /**
     * ipmi的管理员用户
     */
    private String user;
    /**
     * ipmi的管理员密码
     */
    private String password;
    /**
     * ipmi的管理端口
     */
    private Integer port;

    public IpmiInfo() {
        super();
    }

    public IpmiInfo(String host, String user, String password, Integer port) {
        super();
        this.host = host;
        this.user = user;
        this.password = password;
        this.port = port;
    }

    public IpmiInfo(Long nodeId, String host, String user, String password, Integer port) {
        super();
        this.nodeId = nodeId;
        this.host = host;
        this.user = user;
        this.password = password;
        this.port = port;
    }

    public Long getNodeId() {
        return nodeId;
    }

    public void setNodeId(Long nodeId) {
        this.nodeId = nodeId;
    }

    /**
     * @return the host
     */
    public String getHost() {
        return host;
    }

    /**
     * @param host the host to set
     */
    public void setHost(String host) {
        this.host = host;
    }

    /**
     * @return the user
     */
    public String getUser() {
        return user;
    }

    /**
     * @param user the user to set
     */
    public void setUser(String user) {
        this.user = user;
    }

    /**
     * @return the password
     */
    public String getPassword() {
        return password;
    }

    /**
     * @param password the password to set
     */
    public void setPassword(String password) {
        this.password = password;
    }

    /**
     * @return the port
     */
    public Integer getPort() {
        return port;
    }

    /**
     * @param port the port to set
     */
    public void setPort(Integer port) {
        this.port = port;
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
